Bug 1314473 - CVE-2016-2116 jasper: Memory leak in jas_iccprof_createfrombuf causing memory consumption [fedora-all]
CVE-2016-2116 jasper: Memory leak in jas_iccprof_createfrombuf causing memory...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jasper (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Ridky
Fedora Extras Quality Assurance
: Patch, Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2116
  Show dependency treegraph
 
Reported: 2016-03-03 12:03 EST by Adam Mariš
Modified: 2016-09-21 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: jasper-1.900.1-33.fc24 jasper-1.900.1-33.fc25 jasper-1.900.1-34.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 16:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-03 12:03:00 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2016-03-03 12:03:06 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1314472,1314473

# Description of your update
notes=Security fix for CVE-2016-2116

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Jiri Popelka 2016-08-08 08:38:16 EDT
Proposed patch:
http://seclists.org/oss-sec/2016/q1/att-507/CVE-2016-2116.patch

Public via (contains crash report):
http://seclists.org/oss-sec/2016/q1/507
Comment 3 Fedora Update System 2016-08-12 02:42:29 EDT
jasper-1.900.1-33.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5aa6973100
Comment 4 Fedora Update System 2016-08-12 02:43:06 EDT
jasper-1.900.1-33.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b17661de5
Comment 5 Fedora Update System 2016-08-12 02:43:27 EDT
jasper-1.900.1-33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7776983633
Comment 6 Fedora Update System 2016-08-12 10:27:21 EDT
jasper-1.900.1-33.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b17661de5
Comment 7 Fedora Update System 2016-08-12 16:52:12 EDT
jasper-1.900.1-33.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5aa6973100
Comment 8 Fedora Update System 2016-08-12 16:52:15 EDT
jasper-1.900.1-33.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7776983633
Comment 9 Fedora Update System 2016-08-15 17:20:45 EDT
jasper-1.900.1-33.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-09-09 17:50:52 EDT
jasper-1.900.1-33.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-09-15 01:36:05 EDT
jasper-1.900.1-34.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbecf64af4
Comment 12 Fedora Update System 2016-09-15 20:52:21 EDT
jasper-1.900.1-34.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbecf64af4
Comment 13 Fedora Update System 2016-09-21 16:20:16 EDT
jasper-1.900.1-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.